> ## Documentation Index
> Fetch the complete documentation index at: https://bytebeam.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# append fixed-list phase to a schedule



## OpenAPI

````yaml post /api/v1/actions/{action_id}/append_phase
openapi: 3.0.1
info:
  title: Consoled REST APIs
  description: |-
    Once you have gone through the documentation on Bytebeam Cloud, 
                                              you might want to integrate Bytebeam programmatically in your own applications. 
                                              Our REST API is available to you for performing all operations you can do on the Cloud platform UI.
  termsOfService: https://bytebeam.io/terms
  version: 0.0.1
servers:
  - url: https://cloud.bytebeam.io/
security:
  - apiKeyAuth: []
    tenantAuth: []
tags:
  - name: admin
    description: Admin APIs
  - name: devices
    description: Device Management
  - name: data
    description: Data Access APIs
  - name: logs
    description: Audit Logs
  - name: misc
    description: Miscellaneous
externalDocs:
  description: Product Documentation
  url: https://bytebeam.io/docs
paths:
  /api/v1/actions/{action_id}/append_phase:
    post:
      tags: []
      summary: append fixed-list phase to a schedule
      parameters:
        - name: action_id
          in: path
          required: true
          schema:
            type: integer
            format: int64
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Phase'
          application/transit+msgpack:
            schema:
              $ref: '#/components/schemas/Phase'
          application/transit+json:
            schema:
              $ref: '#/components/schemas/Phase'
          application/edn:
            schema:
              $ref: '#/components/schemas/Phase'
        required: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Schedule'
            application/transit+msgpack:
              schema:
                $ref: '#/components/schemas/Schedule'
            application/transit+json:
              schema:
                $ref: '#/components/schemas/Schedule'
            application/edn:
              schema:
                $ref: '#/components/schemas/Schedule'
components:
  schemas:
    Phase:
      required:
        - info
        - name
        - trigger_on
      type: object
      properties:
        name:
          type: string
        trigger_on:
          type: object
          x-oneOf:
            - $ref: '#/components/schemas/ActionsRequestSchedulePhasesTriggerOn'
            - $ref: '#/components/schemas/ActionsRequestSchedulePhasesTriggerOn'
        info:
          type: object
          x-oneOf:
            - $ref: '#/components/schemas/ActionsRequestSchedulePhasesInfo'
            - $ref: '#/components/schemas/ActionsRequestSchedulePhasesInfo'
      additionalProperties: false
    Schedule:
      required:
        - end_timestamp
        - id
        - next_phase_index
        - phases
        - phases_triggered
        - retry_on_failure_until
        - status
        - tenant_id
      type: object
      properties:
        phases_triggered:
          type: array
          items:
            type: boolean
        next_phase_index:
          type: integer
          format: int64
        end_timestamp:
          type: integer
          format: int64
        retry_on_failure_until:
          type: integer
          format: int64
        phases:
          type: array
          items:
            $ref: '#/components/schemas/Phase'
        status:
          type: string
        id:
          type: integer
          format: int64
        release_notes:
          type: string
        tenant_id:
          type: string
      additionalProperties: false
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      name: x-bytebeam-api-key
      in: header
      description: API key required to authenticate requests.
    tenantAuth:
      type: apiKey
      name: x-bytebeam-tenant
      in: header
      description: Tenant(Project) name required to identify the project.

````